ZIOMON_MGR(8)

NAME
ziorep_traffic - I/O traffic report for FCP adapters.

SYNOPSIS
ziorep_traffic [-V] [-v] [-h] [-b <begin>] [-e <end>] [-i <time>] [-s] [-c <chpid>] [-u <id>] [-t <num>] [-p <port>] [-l <lun>] [-d <fdev> ] [-m <mdev> ] [-x] [-D] [-C a|u|p|m|A] <filename>

DESCRIPTION
ziorep_traffic Prints a report from the specified data.

OPTIONS

-h or --help
    Print help information, then exit.

-v or --version
    Print version information, then exit.

-V or --verbose
    Be verbose.

-b or --begin
    Limit the timeframe to consider to data beginning with the specified date.
    Dates must be specified in the following format: YYYY-MM-DD HH:MM[:SS].
    E.g. 2008-03-21 09:08 is 9:08 on March 21, 2008.

-e or --end
    Limit the timeframe to consider to data ending with the specified date.
    Dates must be specified in the following format: YYYY-MM-DD HH:MM[:SS].
    E.g. 2008-03-21 09:08 is 9:08 on March 21, 2008.

-i or --interval
    Specify an aggregation interval. The interval is given in seconds, and must be a multiple of the interval as found in the source data.

-s or --summary
    Print a summary of the data, then exit.

-c or --chpid
    Consider the specified physical adapter. Adapters must be specified in hex.
    If multiple adapters should be specified, specify each one separately.
    E.g. '-c 7a'.

-u or --bus-id
    Consider the specified bus-IDs. bus-IDs must be specified in hex.
    If multiple bus-IDs should be specified, specify each one separately.
    E.g. '-u 0.0.4c78'.

-p or --port
    Consider the specified target port. Target ports must be specified in hex.
    If multiple ports should be specified, specify each one separately.
    E.g. '-p 0x500507630040710b'.

-l or --lun
    Consider the specified lun. luns must be specified in hex.
    If multiple luns should be specified, specify each one separately.
    E.g. '-l 0x4021402d00000000'.

-d or --device
    Consider the specified device.
    If multiple devices should be specified, specify each one separately.
    E.g. '-d sda'.

-m or --mdev
    Consider the specified multipath device.
    If multiple devices should be specified, specify each one separately.
    E.g. '-m 36005076303ffc1040002120'.

-x or --export-csv
    Write data to file(s) in CSV format. Output filenames will be based on the data filename.

-t or --topline
    Repeat topline after specified number of frames.
    0 for no repeat (default).

-D or --detailed
    Print histograms.

-C or --collapse
    Collapse the data by the specified criterion:
    a collapse by physical adapter.
    u collapse by bus-ID.
    p collapse by target port.
    m collapse by multipath device.
    A collapse all data into a single dataset.

OUTPUT
Here is a list of the columns and their descriptions. Timestamps of the frames printed depict the ending of the respective timeframe.

I/O rt MB/s
    I/O rate of the respective device in megabytes per second, considering individual requests and their total processing time, including channel latency, etc.
    min and max give the minimum and maximum respectively.

thrp in MB/s
    Throughput of the respective device in megabytes per second, considering times of activity only.
    avg and stdev give the average utilization as well as its standard deviation respectively.

I/O requests
    Statistics on the numbers and kinds of I/O requests seen.
    #reqs is the total number of requests,
    rd is the number of read requests,
    wrt is the number of write requests and
    bidi is the number of bi-directional requests.

I/O subs. lat. in us
    Latency of the I/O subsystem in microseconds. This is the time needed to execute a request, from the I/O stack down to the hardware and back up again. It excludes channel and fabric latencies.
    min, max, avg and stdev give the minimum, maximum and average latency as well as its standard deviation respectively.

channel lat. in us
    Channel latency in microseconds. This is the time needed to execute a request on the FCP adapter. It excludes I/O subsystem and fabric latencies.
    min, max, avg and stdev give the minimum, maximum and average latency as well as its standard deviation respectively.

fabric lat. in us
    Fabric latency in microseconds. This is the time needed for the requests within the fabric, from the FCP adapter to the target device and back again. It excludes I/O subsystem and channel latencies.
    min, max, avg and stdev give the minimum, maximum and average latency as well as its standard deviation respectively.

EXAMPLES
Example
Print a traffic report for all devices. Only data after 8:57 April 5, 2008 should be considered. Data should be aggregated to 60 second intervals. ziorep_traffic -i 60 -b "2008-04-05 08:57" sample.log Example
Print a detailed traffic report for all devices connected to target port 0x500507630313c562. Data should be aggregated over the whole data range. ziorep_traffic -i 0 -p 0x500507630313c562 sample.log Example
Print a detailed traffic report for all devices that are either connected to target port 0x500507630313c562 or part of multipath device 36005076303ffc5620000000000001314. The result should be collapsed on the bus-ID level. ziorep_traffic -C u -p 0x500507630313c562 -m 36005076303ffc5620000000000001314 sample.log

SEE ALSO
ziorep_config(8), ziorep_utilization(8)